<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package brulloft
 */
?>

<!doctype html>
<html <?php language_attributes();?>>

<head>
    <meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php wp_body_open();?>

    <?php
        $brulloft_preloader = get_theme_mod( 'header_preloader_switch', false );
        $brulloft_backtotop = get_theme_mod( 'header_backtotop_switch', true );

        $brulloft_preloader_logo = get_template_directory_uri() . '/assets/img/logo/preloder.png';

        $brulloft_preloader_logo_url = get_theme_mod('preloader_logo', $brulloft_preloader_logo);

    ?>

    <?php if ( !empty( $brulloft_backtotop ) ): ?>
    <!-- back to top start -->
    <div class="back-to-top-wrapper">
        <button id="back_to_top" type="button" class="back-to-top-btn">
            <svg width="12" height="7" viewBox="0 0 12 7" fill="none">
                <path d="M11 6L6 1L1 6" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                    stroke-linejoin="round" />
            </svg>
        </button>
    </div>
    <!-- back to top end -->
    <?php endif;?>

    <?php if ( !empty( $brulloft_preloader ) ): ?>
    <!-- preloader area start -->
    <div id="loading">
      <div class="preloader-close">x</div>
      <div id="loading-center">
         <div id="loading-center-absolute">
            <div class="object" id="object_four"></div>
            <div class="object" id="object_three"></div>
            <div class="object" id="object_two"></div>
            <div class="object" id="object_one"></div>
         </div>
      </div>
   </div>
    <!-- pre loader area end -->
    <?php endif;?>

    <!-- header start -->
    <?php do_action( 'brulloft_header_style' );?>
    <!-- header end -->

    <!-- wrapper-box start -->
    <?php do_action( 'brulloft_before_main_content' );?>
