<?php
/**
 * Breadcrumbs for brulloft theme.
 *
 * @package     brulloft
 * @author      Theme_Pure
 * @copyright   Copyright (c) 2022, Theme_Pure
 * @link        https://www.weblearnbd.net
 * @since       brulloft 1.0.0
 */



function brulloft_breadcrumb_func() {
    global $post;  
    $breadcrumb_class = '';
    $breadcrumb_show = 1;

    if ( is_front_page() && is_home() ) {
        $title = get_theme_mod('breadcrumb_blog_title', __('Blog','brulloft'));
        $breadcrumb_class = 'home_front_page';
    }
    elseif ( is_front_page() ) {
        $title = get_theme_mod('breadcrumb_blog_title', __('Blog','brulloft'));
        $breadcrumb_show = 0;
    }
    elseif ( is_home() ) {
        if ( get_option( 'page_for_posts' ) ) {
            $title = get_the_title( get_option( 'page_for_posts') );
        }
    }
    elseif ( is_single() && 'post' == get_post_type() ) {
      $title = get_the_title();
    } 
    elseif ( is_single() && 'product' == get_post_type() ) {
        $title = get_theme_mod( 'breadcrumb_product_details', __( 'Shop', 'brulloft' ) );
    } 
    elseif ( is_single() && 'courses' == get_post_type() ) {
      $title = esc_html__( 'Course Details', 'brulloft' );
    } 
    elseif ( is_search() ) {
        $title = esc_html__( 'Search Results for : ', 'brulloft' ) . get_search_query();
    } 
    elseif ( is_404() ) {
        $title = esc_html__( 'Page not Found', 'brulloft' );
    } 
    elseif ( is_archive() ) {
        $title = get_the_archive_title();
    } 
    else {
        $title = get_the_title();
    }
 


    $_id = get_the_ID();

    if ( is_single() && 'product' == get_post_type() ) { 
        $_id = $post->ID;
    } 
    elseif ( function_exists("is_shop") AND is_shop()  ) { 
        $_id = wc_get_page_id('shop');
    } 
    elseif ( is_home() && get_option( 'page_for_posts' ) ) {
        $_id = get_option( 'page_for_posts' );
    }

    $is_breadcrumb = function_exists('tpmeta_field')? tpmeta_field('brulloft_check_bredcrumb') : 'on';

    $con1 = $is_breadcrumb && ($is_breadcrumb== 'on') && $breadcrumb_show == 1;

    $con_main = is_404() ? is_404() : $con1;
    
      if (  $con_main ) {
        $bg_img_from_page = function_exists('tm_image_field')? tm_image_field('brulloft_breadcrumb_bg') : '';

        $hide_bg_img = function_exists('tpmeta_field')? tpmeta_field('brulloft_check_bredcrumb_img') : 'on';
        // get_theme_mod
        $bg_img = get_theme_mod( 'breadcrumb_image' );
        $breadcrumb_padding = get_theme_mod( 'breadcrumb_padding' );
        $breadcrumb_bg_color = get_theme_mod( 'breadcrumb_bg_color', '#16243E' );
        $breadcrumb_shape_switch = get_theme_mod( 'breadcrumb_shape_switch', 'on' );
        if ( $hide_bg_img == 'off' ) {
            $bg_main_img = '';
        }else{  
            $bg_main_img = !empty( $bg_img_from_page ) ? $bg_img_from_page['url'] : $bg_img;
        }
        
        ?>
    <!-- breadcrumb area start -->
    <div class="breadcrumb__area breadcrumb__height fix p-relative" data-bg-color="#F6F8FF">
         <div class="breadcrumb__shap">
            <div class="shap">
               <img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/error/shap.png" alt="">
            </div>
            <div class="shap-2">
               <img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/error/shape-2.png" alt="">
            </div>
            <div class="shap-3">
               <img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/error/shape-3.png" alt="">
            </div>
            <div class="shap-4">
               <img src="<?php echo get_template_directory_uri(  ); ?>/assets/img/error/shape-4.png" alt="">
            </div>
         </div>
         <div class="container">
            <div class="row gx-30" style="line-height: 0;">
               <div class="col-xl-12 col-md-12 text-center">
                  <div class="breadcrumb__content z-index">
                     <div class="breadcrumb__section-title-box">
                     <h3 class="breadcrumb__title"><?php echo brulloft_kses( $title ); ?></h3>
                     </div>
                     <div class="breadcrumb__list">
                     <?php if(function_exists('bcn_display')) : ?>
                    <div class="breadcrumb__list text-center text-sm-end">
                        <?php bcn_display(); ?>
                    </div>
                    <?php endif; ?>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- breadcrumb area end -->

<?php 
      }
}

add_action( 'brulloft_before_main_content', 'brulloft_breadcrumb_func' );

// brulloft_search_form
function brulloft_search_form() {
    $header_search_logo = get_theme_mod( 'header_search_logo', get_template_directory_uri() . '/assets/img/logo/logo-white.png' );
    ?>
<!-- search popup start -->
<div class="search__popup">
    <div class="container">
        <div class="row gx-30">
            <div class="col-xxl-12">
                <div class="search__wrapper">
                    <div class="search__top d-flex justify-content-between align-items-center">
                        <div class="search__logo">
                            <a href="<?php print esc_url( home_url( '/' ) );?>">
                                <img src="<?php echo esc_url( $header_search_logo ); ?>"
                                    alt="<?php print esc_attr__( 'logo', 'brulloft' );?>">
                            </a>

                        </div>
                        <div class="search__close">
                            <button type="button" class="search__close-btn search-close-btn">
                                <svg width="18" height="18" viewBox="0 0 18 18" fill="none">
                                    <path d="M17 1L1 17" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path d="M1 1L17 17" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                            </button>
                        </div>
                    </div>
                    <div class="search__form">
                        <form method="get" action="<?php print esc_url( home_url( '/' ) );?>">
                            <div class="search__input">
                                <input type="text" name="s" class="search-input"
                                    value="<?php print esc_attr( get_search_query() )?>"
                                    placeholder="<?php print esc_attr__( 'Search...', 'brulloft' );?>">
                                <span class="search-focus-border"></span>
                                <button type="submit">
                                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none">
                                        <path
                                            d="M9.55 18.1C14.272 18.1 18.1 14.272 18.1 9.55C18.1 4.82797 14.272 1 9.55 1C4.82797 1 1 4.82797 1 9.55C1 14.272 4.82797 18.1 9.55 18.1Z"
                                            stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                                            stroke-linejoin="round" />
                                        <path d="M19.0002 19.0002L17.2002 17.2002" stroke="currentColor"
                                            stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                                    </svg>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- search popup end -->
<?php
}
add_action( 'brulloft_before_main_content', 'brulloft_search_form' );