<?php

/**
 * brulloft_scripts description
 * @return [type] [description]
 */
function brulloft_scripts() {

    /**
     * all css files
    */ 
    wp_enqueue_style( 'brulloft-fonts', brulloft_fonts_url(), array(), '1.0.0' );
    
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', BRULLOFT_THEME_CSS_DIR.'bootstrap.rtl.min.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', BRULLOFT_THEME_CSS_DIR.'bootstrap.css', array() );
    }

    wp_enqueue_style( 'animate', BRULLOFT_THEME_CSS_DIR . 'animate.css', [] );
    wp_enqueue_style( 'custom-animation', BRULLOFT_THEME_CSS_DIR . 'custom-animation.css', [] );
    wp_enqueue_style( 'font-awesome-pro', BRULLOFT_THEME_CSS_DIR . 'font-awesome-pro.css', [] );
    wp_enqueue_style( 'magnific-popup', BRULLOFT_THEME_CSS_DIR . 'magnific-popup.css', [] );
    wp_enqueue_style( 'nice-select', BRULLOFT_THEME_CSS_DIR . 'nice-select.css', [] );
    wp_enqueue_style( 'slick', BRULLOFT_THEME_CSS_DIR . 'slick.css', [] );
    wp_enqueue_style( 'spacing', BRULLOFT_THEME_CSS_DIR . 'spacing.css', [] );
    wp_enqueue_style( 'swiper-bundle', BRULLOFT_THEME_CSS_DIR . 'swiper-bundle.css', [] );
    wp_enqueue_style( 'woocommerce-shop', BRULLOFT_THEME_CSS_DIR . 'woocommerce-shop.css', [], time() );
    wp_enqueue_style( 'brulloft-unit', BRULLOFT_THEME_CSS_DIR . 'brulloft-unit.css', [], time() );
    wp_enqueue_style( 'brulloft-custom', BRULLOFT_THEME_CSS_DIR . 'brulloft-custom.css', [] );
    wp_enqueue_style( 'brulloft-core', BRULLOFT_THEME_CSS_DIR . 'brulloft-core.css', [], time() );
    wp_enqueue_style( 'brulloft-style', get_stylesheet_uri() );

    // all js
    wp_enqueue_script( 'bootstrap-bundle', BRULLOFT_THEME_JS_DIR . 'bootstrap-bundle.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'isotope-pkgd', BRULLOFT_THEME_JS_DIR . 'isotope-pkgd.js', [ 'imagesloaded' ], false, true );
    wp_enqueue_script( 'magnific-popup', BRULLOFT_THEME_JS_DIR . 'magnific-popup.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'nice-select', BRULLOFT_THEME_JS_DIR . 'nice-select.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'purecounter', BRULLOFT_THEME_JS_DIR . 'purecounter.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'slick', BRULLOFT_THEME_JS_DIR . 'slick.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'swiper-bundle', BRULLOFT_THEME_JS_DIR . 'swiper-bundle.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'waypoints', BRULLOFT_THEME_JS_DIR . 'waypoints.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'wow', BRULLOFT_THEME_JS_DIR . 'wow.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'brulloft-main', BRULLOFT_THEME_JS_DIR . 'main.js', [ 'jquery' ], time(), true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'brulloft_scripts' );

/*
Register Fonts
 */
function brulloft_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    $font_url = 'https://fonts.googleapis.com/css2?' . urlencode('family=Libre+Bodoni:wght@400;500;700&family=Open+Sans:wght@300;400;500;600;700&family=Sail&display=swap');
    return $font_url;
}
