<?php


new \Kirki\Panel(
    'panel_id',
    [
        'priority'    => 10,
        'title'       => esc_html__( 'Brulloft Panel', 'brulloft' ),
        'description' => esc_html__( 'Brulloft Panel Description.', 'brulloft' ),
    ]
);

// header_top_section
function header_top_section(){
    // header_top_bar section 
    new \Kirki\Section(
        'header_top_section',
        [
            'title'       => esc_html__( 'Header Info', 'brulloft' ),
            'description' => esc_html__( 'Header Section Information.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 100,
        ]
    );
    // header_top_bar section 


    new \Kirki\Field\Radio_Image(
        [
            'settings'    => 'header_layout_custom',
            'label'       => esc_html__( 'Chose Header Style', 'brulloft' ),
            'section'     => 'header_top_section',
            'priority'    => 10,
            'choices'     => [
                'header_1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
                'header_2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
                'header_3'  => get_template_directory_uri() . '/inc/img/header/header-3.png',
                'header_4'  => get_template_directory_uri() . '/inc/img/header/header-4.png'
            ],
            'default'     => 'header_1',
            'active_callback' => [
                [
                    'setting' => 'brulloft_header_elementor_switch',
                    'operator' => '==',
                    'value' => false
                ]
            ]
        ]
    );

    $header_type = array(
        'post_type'      => 'tp-header'
    );
    $header_type_loop = get_posts($header_type);
    $header_post_obj_arr = array();
    foreach($header_type_loop as $post){
        $header_post_obj_arr[$post->ID] = $post->post_title;
    }

    wp_reset_postdata();

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_topbar_switch',
            'label'       => esc_html__( 'Header Topbar Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Topbar switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );    

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_right_switch',
            'label'       => esc_html__( 'Header Right Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Right switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    ); 

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_preloader_switch',
            'label'       => esc_html__( 'Header Preloader Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Preloader switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_search_switch',
            'label'       => esc_html__( 'Header Search Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Search switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    ); 

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_card_switch',
            'label'       => esc_html__( 'Header card Switch', 'brulloft' ),
            'description' => esc_html__( 'Header card switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    ); 

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_lang_switch',
            'label'       => esc_html__( 'Header lang Switch', 'brulloft' ),
            'description' => esc_html__( 'Header lang switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    ); 


    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_backtotop_switch',
            'label'       => esc_html__( 'Header Back to Top Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Back to Top switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_top_button_switch',
            'label'       => esc_html__( 'Header Top Button On/Off', 'brulloft' ),
            'description' => esc_html__( 'Header Top Button switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_cart_switch',
            'label'       => esc_html__( 'Header Cart On/Off', 'brulloft' ),
            'description' => esc_html__( 'Header Cart switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_wishlist_switch',
            'label'       => esc_html__( 'Header wishlist On/Off', 'brulloft' ),
            'description' => esc_html__( 'Header wishlist switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_sing_switch',
            'label'       => esc_html__( 'Header Sing On/Off', 'brulloft' ),
            'description' => esc_html__( 'Header Sing switch On/Off', 'brulloft' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );
    

    new \Kirki\Field\Text(
        [
            'settings' => 'header_button_text',
            'label'    => esc_html__( 'Button Text', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'Book Now ', 'brulloft' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\URL(
        [
            'settings' => 'header_button_link',
            'label'    => esc_html__( 'Button URL', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'header_phone',
            'label'    => esc_html__( 'Phone Number', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '8801310069824', 'brulloft' ),
            'priority' => 10,
        ]
    );    

    new \Kirki\Field\Text(
        [
            'settings' => 'header_email',
            'label'    => esc_html__( 'Email ID', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'brulloft@support.com', 'brulloft' ),
            'priority' => 10,
        ]
    );    
    new \Kirki\Field\Text(
        [
            'settings' => 'header_email_url',
            'label'    => esc_html__( 'Email ID url', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'brulloft@support.com', 'brulloft' ),
            'priority' => 10,
        ]
    );    

    new \Kirki\Field\Text(
        [
            'settings' => 'header_address',
            'label'    => esc_html__( 'Address Text', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '734 H, Bryan Burlington, NC 27215', 'brulloft' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\URL(
        [
            'settings' => 'header_address_link',
            'label'    => esc_html__( 'Address URL', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => 'https://www.google.com/maps/@36.0758266,-79.4558848,17z',
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'header_top_time',
            'label'    => esc_html__( 'Header top time', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => 'Sunday - Friday: 9 am - 8 pm',
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'header_top_charity_text',
            'label'    => esc_html__( 'Header top Text', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => 'Free Metro Delivery* Sign Up For $30 Off Your Order!',
            'priority' => 10,
        ]
    );
    new \Kirki\Field\URL(
        [
            'settings' => 'header_cart_link',
            'label'    => esc_html__( 'Cart URL', 'brulloft' ), 
            'section'  => 'header_top_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );
    new \Kirki\Field\URL(
        [
            'settings' => 'header_wishlist_link',
            'label'    => esc_html__( 'wishlist URL', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );
    new \Kirki\Field\URL(
        [
            'settings' => 'header_sing_link',
            'label'    => esc_html__( 'Sing URL', 'brulloft' ),
            'section'  => 'header_top_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );

}
header_top_section();


// header_side_section
function header_side_section(){
    // header_top_bar section 
    new \Kirki\Section(
        'header_side_section',
        [
            'title'       => esc_html__( 'Header Side Info', 'brulloft' ),
            'description' => esc_html__( 'Header Side Information.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 110,
        ]
    );
    // header_search_logo_section 
    new \Kirki\Field\Image(
        [
            'settings'    => 'header_search_logo',
            'label'       => esc_html__( 'Header Search Logo', 'brulloft' ),
            'description' => esc_html__( 'Header Search Default/Primary Logo Here', 'brulloft' ),
            'section'     => 'header_side_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
        ]
    );
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_side_info_switch',
            'label'       => esc_html__( 'Header Side Info Switch', 'brulloft' ),
            'description' => esc_html__( 'Header Side Info switch On/Off', 'brulloft' ),
            'section'     => 'header_side_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );  

    new \Kirki\Field\Textarea(
        [
            'settings'    => 'header_top_offcanvas_textarea',
            'label'       => esc_html__( 'Offcanvas About Us', 'brulloft' ),
            'section'     => 'header_side_section',
            'default'     => esc_html__( 'Web designing in a powerful way of just not an only professions. We have tendency to believe the idea that smart looking .', 'brulloft' ),
        ]
    );

    // Contacts Text 
    new \Kirki\Field\Text(
        [
            'settings' => 'header_side_contacts_text',
            'label'    => esc_html__( 'Contacts Text', 'brulloft' ),
            'section'  => 'header_side_section',
            'default'  => esc_html__( 'CONTACT US', 'brulloft' ),
            'priority' => 10,
        ]
    );

}
header_side_section();

// header_social_section
function header_social_section(){
    // header_top_bar section 
    new \Kirki\Section(
        'header_social_section',
        [
            'title'       => esc_html__( 'Social Area', 'brulloft' ),
            'description' => esc_html__( 'Social URL.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 120,
        ]
    );
    // header_top_bar section 

    new \Kirki\Field\URL(
        [
            'settings' => 'header_facebook_link',
            'label'    => esc_html__( 'Facebook URL', 'brulloft' ),
            'section'  => 'header_social_section',
            'default'  => '#',
            'priority' => 10,
        ]
    ); 

    new \Kirki\Field\URL(
        [
            'settings' => 'header_twitter_link',
            'label'    => esc_html__( 'Twitter URL', 'brulloft' ),
            'section'  => 'header_social_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );  

    new \Kirki\Field\URL(
        [
            'settings' => 'header_linkedin_link',
            'label'    => esc_html__( 'Linkedin URL', 'brulloft' ),
            'section'  => 'header_social_section',
            'default'  => '#',
            'priority' => 10,
        ]
    ); 

    new \Kirki\Field\URL(
        [
            'settings' => 'header_instagram_link',
            'label'    => esc_html__( 'Instagram URL', 'brulloft' ),
            'section'  => 'header_social_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );  

}
header_social_section();

// header_logo_section
function header_logo_section(){
    // header_logo_section section 
    new \Kirki\Section(
        'header_logo_section',
        [
            'title'       => esc_html__( 'Header Logo', 'brulloft' ),
            'description' => esc_html__( 'Header Logo Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 130,
        ]
    );

    // header_logo_section section 
    new \Kirki\Field\Image(
        [
            'settings'    => 'header_logo',
            'label'       => esc_html__( 'Header Logo', 'brulloft' ),
            'description' => esc_html__( 'Theme Default/Primary Logo Here', 'brulloft' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
        ]
    );
    new \Kirki\Field\Image(
        [
            'settings'    => 'header_secondary_logo',
            'label'       => esc_html__( 'Header Secondary Logo / White', 'brulloft' ),
            'description' => esc_html__( 'Theme Secondary Logo Here', 'brulloft' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
        ]
    );

    new \Kirki\Field\Image(
        [
            'settings'    => 'preloader_logo',
            'label'       => esc_html__( 'Preloader Icon', 'brulloft' ),
            'description' => esc_html__( 'Preloader Icon Logo Here', 'brulloft' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/preloder.png',
        ]
    );
}
header_logo_section();


// header_logo_section
function header_breadcrumb_section(){
    // header_logo_section section 
    new \Kirki\Section(
        'header_breadcrumb_section',
        [
            'title'       => esc_html__( 'Breadcrumb', 'brulloft' ),
            'description' => esc_html__( 'Breadcrumb Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 160,
        ]
    );

    // header_logo_section section 
    new \Kirki\Field\Image(
        [
            'settings'    => 'breadcrumb_image',
            'label'       => esc_html__( 'Breadcrumb Image', 'brulloft' ),
            'description' => esc_html__( 'Breadcrumb Image add/remove', 'brulloft' ),
            'section'     => 'header_breadcrumb_section',
        ]
    );


    new \Kirki\Field\Color(
        [
            'settings'    => 'breadcrumb_bg_color',
            'label'       => __( 'Breadcrumb BG Color', 'brulloft' ),
            'description' => esc_html__( 'You can change breadcrumb bg color from here.', 'brulloft' ),
            'section'     => 'header_breadcrumb_section',
            'default'     => '#f3fbfe',
        ]
    );

    new \Kirki\Field\Dimensions(
        [
            'settings'    => 'breadcrumb_padding',
            'label'       => esc_html__( 'Dimensions Control', 'brulloft' ),
            'description' => esc_html__( 'Description', 'brulloft' ),
            'section'     => 'header_breadcrumb_section',
            'default'     => [
                'padding-top'  => '',
                'padding-bottom' => '',
            ],
        ]
    );

    new \Kirki\Field\Typography(
        [
            'settings'    => 'breadcrumb_typography',
            'label'       => esc_html__( 'Typography Control', 'brulloft' ),
            'description' => esc_html__( 'The full set of options.', 'brulloft' ),
            'section'     => 'header_breadcrumb_section',
            'priority'    => 10,
            'transport'   => 'auto',
            'default'     => [
                'font-family'     => '',
                'variant'         => '',
                'color'           => '',
                'font-size'       => '',
                'line-height'     => '',
                'text-align'      => '',
            ],
            'output'      => [
                [
                    'element' => '.tpbreadcrumb-title',
                ],
            ],
        ]
    );


}
header_breadcrumb_section();

// header_logo_section
function full_site_typography(){
    // header_logo_section section 
    new \Kirki\Section(
        'full_site_typography',
        [
            'title'       => esc_html__( 'Typography', 'brulloft' ),
            'description' => esc_html__( 'Typography Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 190,
        ]
    );

    new \Kirki\Field\Typography(
        [
            'settings'    => 'full_site_typography_settings',
            'label'       => esc_html__( 'Typography Control', 'brulloft' ),
            'description' => esc_html__( 'The full set of options.', 'brulloft' ),
            'section'     => 'full_site_typography',
            'priority'    => 10,
            'transport'   => 'auto',
            'default'     => [
                'font-family'     => '',
                'variant'         => '',
                'color'           => '',
                'font-size'       => '',
                'line-height'     => '',
                'text-align'      => '',
            ],
            'output'      => [
                [
                    'element' => '.tpbreadcrumb-title',
                ],
            ],
        ]
    );
}
full_site_typography();

// header_logo_section
function footer_layout_section(){
    // header_logo_section section 
    new \Kirki\Section(
        'footer_layout_section',
        [
            'title'       => esc_html__( 'Footer', 'brulloft' ),
            'description' => esc_html__( 'Footer Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 190,
        ]
    );
    // footer_widget_number section 
    new \Kirki\Field\Select(
        [
            'settings'    => 'footer_widget_number',
            'label'       => esc_html__( 'Footer Widget Number', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '4',
            'placeholder' => esc_html__( 'Choose an option', 'brulloft' ),
            'choices'     => [
                '1' => esc_html__( '1', 'brulloft' ),
                '2' => esc_html__( '2', 'brulloft' ),
                '3' => esc_html__( '3', 'brulloft' ),
                '4' => esc_html__( '4', 'brulloft' ),
            ],
        ]
    );


    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'brulloft_footer_elementor_switch',
            'label'       => esc_html__( 'Footer Custom/Elementor Switch', 'brulloft' ),
            'description' => esc_html__( 'Footer Custom/Elementor On/Off', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    ); 

    new \Kirki\Field\Radio_Image(
        [
            'settings'    => 'footer_layout',
            'label'       => esc_html__( 'Footer Layout Control', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'priority'    => 10,
            'choices'     => [
                'footer_1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
                'footer_2' => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
                'footer_3' => get_template_directory_uri() . '/inc/img/footer/footer-3.png',
            ],
            'default'     => 'footer_1',
            'active_callback' => [
                [
                    'setting' => 'brulloft_footer_elementor_switch',
                    'operator' => '==',
                    'value' => false
                ]
            ]
        ]
    );

    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_footer_bg_color',
            'label'       => __( 'Footer BG Color', 'brulloft' ),
            'description' => esc_html__( 'You can change footer bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#1B7261',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_copyright_bg_color',
            'label'       => __( 'Copyright BG Color', 'brulloft' ),
            'description' => esc_html__( 'You can change Copyright bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#051145',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_footer_bg_color_1',
            'label'       => __( 'Footer BG Color 01', 'brulloft' ),
            'description' => esc_html__( 'You can change footer bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#fff',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_copyright_bg_color_1',
            'label'       => __( 'Copyright BG Color 01', 'brulloft' ),
            'description' => esc_html__( 'You can change Copyright bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#fff',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_footer_bg_color_2',
            'label'       => __( 'Footer BG Color 02', 'brulloft' ),
            'description' => esc_html__( 'You can change footer bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#fff',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_copyright_bg_color_2',
            'label'       => __( 'Copyright BG Color 02', 'brulloft' ),
            'description' => esc_html__( 'You can change Copyright bg color from here.', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => '#051145',
        ]
    );
    $footer_type = array(
        'post_type'      => 'tp-footer'
    );
    $footer_type_loop = get_posts($footer_type);
    $footer_post_obj_arr = array();
    foreach($footer_type_loop as $post){
        $footer_post_obj_arr[$post->ID] = $post->post_title;
    }

    wp_reset_postdata();


    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_layout_2_switch',
            'label'       => esc_html__( 'Footer Style 2 Switch', 'brulloft' ),
            'description' => esc_html__( 'Footer Style 2 On/Off', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );      

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_layout_3_switch',
            'label'       => esc_html__( 'Footer Style 3 Switch', 'brulloft' ),
            'description' => esc_html__( 'Footer Style 3 On/Off', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'brulloft' ),
                'off' => esc_html__( 'Disable', 'brulloft' ),
            ],
        ]
    );      

    new \Kirki\Field\Text(
        [
            'settings' => 'footer_copyright',
            'label'    => esc_html__( 'Footer Copyright', 'brulloft' ),
            'section'  => 'footer_layout_section',
            'default'  => esc_html__( 'Copyright &copy; 2024 RRDevs. All Rights Reserved', 'brulloft' ),
            'priority' => 10,
        ]
    );  


    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_social_switch',
            'label'       => esc_html__( 'Footer Social On / Off', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => false,
            'priority' => 10,
        ]
    ); 

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_cta_switch',
            'label'       => esc_html__( 'Footer Cta On / Off', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => false,
            'priority' => 10,
        ]
    ); 

    new \Kirki\Field\text(
        [
            'settings'    => 'brulloft_copyright_left_text',
            'label'       => esc_html__( 'Coptright Title', 'brulloft' ),
            'section'     => 'footer_layout_section',
            'default'     => esc_html__( 'Coptright Title', 'brulloft' ),
            'priority' => 10,
        ]
    ); 



}
footer_layout_section();

// blog_section
function blog_section(){
    // blog_section section 
    new \Kirki\Section(
        'blog_section',
        [
            'title'       => esc_html__( 'Blog Section', 'brulloft' ),
            'description' => esc_html__( 'Blog Section Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'brulloft_blog_btn_switch',
            'label'       => esc_html__( 'Blog BTN On/Off', 'brulloft' ),
            'section'     => 'blog_section',
            'default'     => true,
            'priority' => 10,
        ]
    ); 

    // blog_section BTN 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'brulloft_blog_cat',
            'label'    => esc_html__( 'Blog Category Meta On/Off', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => false,
            'priority' => 10,
        ]
    );

    // blog_section Author Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'brulloft_blog_author',
            'label'    => esc_html__( 'Blog Author Meta On/Off', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );
    // blog_section Date Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'brulloft_blog_date',
            'label'    => esc_html__( 'Blog Date Meta On/Off', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );

    // blog_section Comments Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'brulloft_blog_comments',
            'label'    => esc_html__( 'Blog Comments Meta On/Off', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );


    // blog_section Blog BTN text 
    new \Kirki\Field\Text(
        [
            'settings' => 'brulloft_blog_btn',
            'label'    => esc_html__( 'Blog Button Text', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => "Read More",
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'brulloft_singleblog_social',
            'label'    => esc_html__( 'Single Blog Social Share', 'brulloft' ),
            'section'  => 'blog_section',
            'default'  => false,
            'priority' => 10,
        ]
    );

}
blog_section();


// 404 section
function error_404_section(){
    // 404_section section 
    new \Kirki\Section(
        'error_404_section',
        [
            'title'       => esc_html__( '404 Page', 'brulloft' ),
            'description' => esc_html__( '404 Page Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );


    // 404_section 
    new \Kirki\Field\Text(
        [
            'settings' => 'brulloft_error_title',
            'label'    => esc_html__( 'Not Found Title', 'brulloft' ),
            'section'  => 'error_404_section',
            'default'  => "Sorry We Can't Find That Page! ",
            'priority' => 10,
        ]
    );

    // 404_section 
    new \Kirki\Field\Text(
        [
            'settings' => 'brulloft_error_404',
            'label'    => esc_html__( 'Not Found 404', 'brulloft' ),
            'section'  => 'error_404_section',
            'default'  => "404",
            'priority' => 10,
        ]
    );
    // 404_section 
    new \Kirki\Field\Text(
        [
            'settings' => 'brulloft_error_text',
            'label'    => esc_html__( 'Not Found 404', 'brulloft' ),
            'section'  => 'error_404_section',
            'default'  => "Oops! The page you are looking for does not exist. It might have been moved or deleted.",
            'priority' => 10,
        ]
    );




    // 404_section description
    new \Kirki\Field\Text(
        [
            'settings' => 'brulloft_error_link_text',
            'label'    => esc_html__( 'Error Link Text', 'brulloft' ),
            'section'  => 'error_404_section',
            'default'  => "Back To Home",
            'priority' => 10,
        ]
    );
    // 404_section img
    new \Kirki\Field\Image(
        [
            'settings'    => 'brulloft_error_img',
            'label'       => esc_html__( 'Error Image', 'brulloft' ),
            'description' => esc_html__( 'Error Bg Image Here', 'brulloft' ),
            'section'     => 'error_404_section',
            'default'     => get_template_directory_uri() . '/assets/img/error/thumb-1.png',
        ]
    );


}
error_404_section();

// theme color section
function theme_color_section(){
    new \Kirki\Section(
        'theme_color_section',
        [
            'title'       => esc_html__( 'Theme Color', 'brulloft' ),
            'description' => esc_html__( 'Brulloft theme color Settings.', 'brulloft' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_color_1',
            'label'       => __( 'Theme Color 1', 'brulloft' ),
            'description' => esc_html__( 'this is theme color 1 control.', 'brulloft' ),
            'section'     => 'theme_color_section',
            'default'     => '#1e3737',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_color_2',
            'label'       => __( 'Theme Color 2', 'brulloft' ),
            'description' => esc_html__( 'this is theme color 2 control.', 'brulloft' ),
            'section'     => 'theme_color_section',
            'default'     => '#07847f',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_color_3',
            'label'       => __( 'Theme Color 3', 'brulloft' ),
            'description' => esc_html__( 'this is theme color 3 control.', 'brulloft' ),
            'section'     => 'theme_color_section',
            'default'     => '#8fe1de',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'brulloft_color_4',
            'label'       => __( 'Theme Color 4', 'brulloft' ),
            'description' => esc_html__( 'this is theme color 4 control.', 'brulloft' ),
            'section'     => 'theme_color_section',
            'default'     => '#fe7f4c',
        ]
    );
}
theme_color_section();