<?php 

/**
 * Template part for displaying footer layout one
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package brulloft
*/

$footer_bg_img = get_theme_mod( 'brulloft_footer_bg' );
$brulloft_footer_logo = get_theme_mod( 'brulloft_footer_logo' );
$brulloft_footer_top_space = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'brulloft_footer_top_space' ) : '0';

$brulloft_footer_payment = get_theme_mod( 'footer_payment_img' );
$brulloft_footer_payment_url_from_page = function_exists( 'tpmeta_image_field' ) ? tpmeta_image_field( 'brulloft_footer_payment' ) : '';
$brulloft_footer_payment = !empty( $brulloft_footer_payment_url_from_page['url'] ) ? $brulloft_footer_payment_url_from_page['url'] : $brulloft_footer_payment;


$brulloft_copyright_center = $brulloft_footer_payment ? 'col-sm-6' : 'col-sm-12 text-center';
$brulloft_footer_bg_url_from_page = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'brulloft_footer_bg' ) : '';

$footer_bg_color = get_theme_mod( 'brulloft_footer_bg_color', '#1B7261');
$copyright_bg_color = get_theme_mod( 'brulloft_copyright_bg_color', '#051145');

// bg image
$bg_img = !empty( $brulloft_footer_bg_url_from_page['url'] ) ? $brulloft_footer_bg_url_from_page['url'] : $footer_bg_img;

// bg color
$bg_color = !empty( $brulloft_footer_bg_color_from_page ) ? $brulloft_footer_bg_color_from_page : $footer_bg_color;
$copyright_bg_color = !empty( $brulloft_copyright_bg_color_from_page ) ? $brulloft_copyright_bg_color_from_page : $copyright_bg_color;




// footer_columns
$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6';
    $footer_class[2] = 'col-lg-6 col-md-6';
    break;
case '3':
    $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
    $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
    $footer_class[3] = 'col-xl-4 col-lg-6';
    break;
case '4':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50';
    $footer_class[2] = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50';
    $footer_class[4] = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50';
    break;
}

?>
<footer>
    <div class="rr-footer-main p-relative fix">
        <!-- footer area start -->
        <div class="rr-footer-area  p-relative" data-bg-color="<?php print esc_attr( $bg_color );?>">
            <div class="container">
                <?php if ( is_active_sidebar('footer-1') OR is_active_sidebar('footer-2') OR is_active_sidebar('footer-3') OR is_active_sidebar('footer-4') ): ?>
                <div class="rr-footer-top pt-80">
                    <div class="container">
                        <div class="row gx-30">
                            <?php
                        if ( $footer_columns < 5 ) {
                            print '<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50">';
                            dynamic_sidebar( 'footer-1' );
                            print '</div>';

                            print '<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50">';
                            dynamic_sidebar( 'footer-2' );
                            print '</div>';

                            print '<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50">';
                            dynamic_sidebar( 'footer-3' );
                            print '</div>';

                            print '<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 mb-50">';
                            dynamic_sidebar( 'footer-4' );
                            print '</div>';
                        } else {
                            for ( $num = 1; $num <= $footer_columns; $num++ ) {
                                if ( !is_active_sidebar( 'footer-col-' . $num ) ) {
                                    continue;
                                }
                                print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                                dynamic_sidebar( 'footer-col-' . $num );
                                print '</div>';
                            }
                        }
                    ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
        <!-- footer area end -->

        <!-- copy-right area start -->
        <div class="rr-copyright-area p-relative" data-bg-color="<?php print esc_attr( $copyright_bg_color );?>">
            <div class="container rr-copyright-space">
                <div class="row align-items-center">
                    <div class="col-xl-12 wow rrfadeUp" data-wow-duration=".9s" data-wow-delay=".3s">
                        <div class="rr-copyright-left text-center">
                            <p><?php print brulloft_copyright_text(); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- copy-right area end -->
    </div>
</footer>