<?php 
 
	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package brulloft
	*/

	// info
    $header_topbar_switch = get_theme_mod( 'header_topbar_switch', false );

   // Email id 
   $header_top_email = get_theme_mod( 'header_email', __( 'brulloft@support.com', 'brulloft' ) );
   $header_address_link = get_theme_mod( 'header_address_link', __( '#', 'brulloft' ) );
   
   // Header Address Link
   
   $header_top_time = get_theme_mod( 'header_top_time', __( 'Monday - Friday, 8:00am- 5:00 pm', 'brulloft' ) );
   
   // Phone Number
   $header_top_phone = get_theme_mod( 'header_phone', __( '+8801310-069824', 'brulloft' ) );
   
   // Header Address Text
   $header_top_address_text = get_theme_mod( 'header_address', __( '734 H, Bryan Burlington, NC 27215', 'brulloft' ) );
   $header_top_address_link = get_theme_mod( 'header_address_link', __( '#', 'brulloft' ) );


   // Button Text
   $header_top_button_switch = get_theme_mod( 'header_top_button_switch', false);
   $header_top_button_text = get_theme_mod( 'header_button_text', __( 'Book Now', 'brulloft' ) );

   // Button Text
   $header_top_button_link = get_theme_mod( 'header_button_link', __( '#', 'brulloft' ) );
   $header_cart_link = get_theme_mod( 'header_cart_link', __( '#', 'brulloft' ) );

   // header right
   $brulloft_header_right = get_theme_mod( 'header_right_switch', false );
   $brulloft_menu_col = $brulloft_header_right ? 'col-xl-8 col-lg-1 col-1' : 'col-xl-10 col-lg-8 d-none d-lg-block';
   $brulloft_menu_end = $brulloft_header_right ? 'mr-80' : 'mr-0';


   // header search btn 
   $header_search_switch = get_theme_mod( 'header_search_switch', true );

   // header auth btn 
   $header_card_switch = get_theme_mod( 'header_card_switch', true );
   $header_lang_switch = get_theme_mod( 'header_lang_switch', true );

?>
<?php if(!empty($header_topbar_switch)) : ?>
<!-- header top area start -->
<div class="rr-header-top d-none d-xl-block p-relative">
    <div class="container">
        <div class="rr-header-before">
            <div class="row align-items-center">
                <div class="col-xxl-7 col-xl-7 col-lg-7">
                    <div class="rr-header-top-info text-end">
                        <ul class="d-flex align-items-center">
                            <?php  if ( !empty( $header_top_time ) ): ?>
                            <li>
                                <b><span><i
                                            class="fa-regular fa-clock"></i></span><?php echo esc_html($header_top_time); ?></b>
                            </li>
                            <?php endif; ?>
                            <?php  if ( !empty( $header_top_phone ) ): ?>

                            <li class="ml-30">
                                <a href="tel:<?php echo esc_attr( $header_top_phone ); ?>"><span><img
                                            src="<?php echo get_template_directory_uri(  ); ?>/assets/img/header/call.svg"
                                            alt=""></span><?php echo esc_html( $header_top_phone ); ?></a>
                            </li>
                            <?php endif; ?>
                            <?php  if ( !empty( $header_top_address_text ) ): ?>
                            <li class="ml-30">
                                <a href="<?php echo esc_url($header_top_address_link)?>"><span><i
                                            class="fa-regular fa-location-dot"></i></span>
                                    <?php echo esc_html( $header_top_address_text );?></a>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-xxl-5 col-xl-5 col-lg-">
                    <div class="rr-header-2-top-info d-flex align-items-center justify-content-end text-end">
                        <?php  if ( !empty( $header_lang_switch ) ): ?>
                        <div class="rr-header-2-lang rr-header-lang-main d-none d-md-block mr-10">
                            <select style="display: none;">
                                <option>English</option>
                                <option>Bangla</option>
                                <option>French</option>
                            </select>
                            <div class="nice-select" tabindex="0"><span class="current">English</span>
                                <ul class="list z-index-2">
                                    <li data-value="English" class="option selected focus">English</li>
                                    <li data-value="Bangla" class="option">Bangla</li>
                                    <li data-value="French" class="option">French</li>
                                </ul>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="rr-header-main-social d-flex align-items-center">
                            <div class="rr-header-social ml-20">
                                <?php brulloft_header_social_profiles(); ?>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- header top area end -->
<?php endif; ?>
<!-- header main area end -->
<header class="rr-header-main z-index-3">
    <!-- header area start -->
    <div id="header-sticky" class="rr-header-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-2 col-lg-5 col-5">
                    <div class="rr-header-logo">
                        <?php brulloft_header_logo(); ?>
                    </div>
                </div>
                <div class="<?php echo esc_attr($brulloft_menu_col); ?>">
                    <div
                        class="rr-header-main-menu d-none d-xl-block p-relative <?php echo esc_attr($brulloft_menu_end); ?>">
                        <nav class="rr-main-menu-content text-end ">
                            <?php brulloft_header_menu(); ?>
                        </nav>
                    </div>
                </div>
                <div class="col-xl-2 col-lg-6 col-6">
                  
                    <div
                        class="rr-header-right d-flex align-items-center justify-content-end p-relative rr-header-1-before">
                        <?php if(!empty($brulloft_header_right)) : ?>
                        <?php if(!empty($header_search_switch)) : ?>
                        <div class="rr-header-icon-search rr-header-search-main d-none d-xl-block">
                            <button class="search-open-btn">
                                <svg width="16" height="16" viewBox="0 0 16 16" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M7.22222 13.4444C10.6587 13.4444 13.4444 10.6587 13.4444 7.22222C13.4444 3.78578 10.6587 1 7.22222 1C3.78578 1 1 3.78578 1 7.22222C1 10.6587 3.78578 13.4444 7.22222 13.4444Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path d="M15 15L11.6167 11.6167" stroke="#051145" stroke-width="1.5"
                                        stroke-linecap="round" stroke-linejoin="round" />
                                </svg>
                            </button>
                        </div>
                        <?php endif; ?>
                        <?php if(!empty($header_card_switch)) : ?>
                        <div class="rr-header-icon-card rr-header-icon-card-main d-none d-xl-block p-relative">
                            <a href="<?php echo esc_url( $header_cart_link ); ?>">
                                <svg width="15" height="16" viewBox="0 0 15 16" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M3.16667 1L1 3.8V13.6C1 13.9713 1.15218 14.3274 1.42307 14.5899C1.69395 14.8525 2.06135 15 2.44444 15H12.5556C12.9386 15 13.306 14.8525 13.5769 14.5899C13.8478 14.3274 14 13.9713 14 13.6V3.8L11.8333 1H3.16667Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path d="M1 3.79999H14" stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path
                                        d="M10.3889 6.60001C10.3889 7.34261 10.0845 8.0548 9.54273 8.57991C9.00095 9.10501 8.26615 9.40001 7.49997 9.40001C6.73379 9.40001 5.99899 9.10501 5.45722 8.57991C4.91545 8.0548 4.61108 7.34261 4.61108 6.60001"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                                <span><?php echo esc_html(WC()->cart->cart_contents_count); ?></span>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php  if ( !empty( $header_top_button_switch ) and !empty( $header_top_button_text ) ): ?>
                        <div class="rr-header-contat d-none d-md-block ml-35">
                            <a class="rr-btn"
                                href="<?php echo esc_url( $header_top_button_link ); ?>"><span><?php echo esc_html( $header_top_button_text ); ?></span>
                                <i class="fa-sharp fa-solid fa-arrow-right"></i></a>
                        </div>
                        <?php endif; ?>
                        <?php endif; ?>
                        <div class="rr-header-bar d-xl-none">
                            <button class="rr-menu-bar"><i class="fa-solid fa-bars"></i></button>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>
    <!-- header area end -->

</header>

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>