<?php 

	/**
	 * Template part for displaying header layout three
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package brulloft
	*/
	// info
   $header_topbar_switch = get_theme_mod( 'header_topbar_switch', false );

 
   // Button Text
   $header_top_button_switch = get_theme_mod( 'header_top_button_switch', false);
   $header_top_button_text = get_theme_mod( 'header_button_text', __( 'Let’s Talk', 'brulloft' ) );
   $header_top_button_link = get_theme_mod( 'header_button_link', __( '#', 'brulloft' ) );
   $header_cart_link = get_theme_mod( 'header_cart_link', __( '#', 'brulloft' ) );
   $header_sing_link = get_theme_mod( 'header_sing_link', __( '#', 'brulloft' ) );
   $header_wishlist_link = get_theme_mod( 'header_wishlist_link', __( '#', 'brulloft' ) );
   // header right
   $brulloft_header_right = get_theme_mod( 'header_right_switch', false );
   $brulloft_menu_col = $brulloft_header_right ? 'col-xxl-6 col-xl-6 col-lg-8 d-none d-lg-block' : 'col-xxl-9 col-xl-9 col-lg-8 d-none d-lg-block text-end';
   $header_search_switch = get_theme_mod( 'header_search_switch', false );

   //Phone
   $header_top_phone = get_theme_mod( 'header_phone', __( '+880190678956', 'brulloft' ) );
   
   // Email id 
   $header_email = get_theme_mod( 'header_email', __( 'brulloft@support.com', 'brulloft' ) );
   $header_email_url = get_theme_mod( 'header_email_url', __( '#', 'brulloft' ) );


   $header_language_switch = get_theme_mod( 'header_language_switch', false );

   // Header charity Text
   $header_top_charity_text = get_theme_mod( 'header_top_charity_text', __( 'Free Metro Delivery* Sign Up For $30 Off Your Order!', 'brulloft' ) );

   $header_sing_switch = get_theme_mod( 'header_sing_switch', true );
   $header_wishlist_switch = get_theme_mod( 'header_wishlist_switch', true );
   $header_card_switch = get_theme_mod( 'header_card_switch', true );
   $header_lang_switch = get_theme_mod( 'header_lang_switch', true );

?>  
<?php if(!empty($header_topbar_switch)) : ?>
<!-- header top area start -->
<div class="rr-header-3-top d-none d-xl-block p-relative">
    <div class="container">
        <div class="rr-header-3-before">
            <div class="row align-items-center">
                <div class="col-xxl-4 col-xl-4 col-lg-4">
                    <div class="rr-header-3-top-info text-end">
                        <ul class="d-flex align-items-center">
                        <?php  if ( !empty( $header_top_phone ) ): ?>
                            <li>
                                <span><svg width="16" height="16" viewBox="0 0 16 16" fill="none"
                                        xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M9.67161 3.67583C10.3263 3.80331 10.9279 4.12286 11.3995 4.59359C11.8712 5.06432 12.1913 5.66481 12.319 6.3182M9.67161 1C11.0317 1.15081 12.3 1.75871 13.2683 2.72391C14.2365 3.6891 14.8472 4.95421 15 6.31151M14.3298 11.6498V13.6567C14.3305 13.843 14.2923 14.0274 14.2175 14.1981C14.1427 14.3688 14.033 14.522 13.8955 14.648C13.758 14.7739 13.5956 14.8698 13.4187 14.9295C13.2419 14.9892 13.0546 15.0113 12.8686 14.9946C10.8062 14.7709 8.8251 14.0675 7.08449 12.9409C5.46509 11.9138 4.09211 10.5434 3.06307 8.92713C1.93035 7.18196 1.22544 5.19502 1.00544 3.12728C0.988691 2.94229 1.01072 2.75585 1.07012 2.57982C1.12952 2.4038 1.22499 2.24204 1.35046 2.10486C1.47592 1.96768 1.62863 1.85808 1.79886 1.78303C1.96909 1.70798 2.15312 1.66913 2.33921 1.66896H4.34993C4.6752 1.66576 4.99053 1.78072 5.23716 1.99242C5.48379 2.20411 5.64488 2.49809 5.6904 2.81956C5.77527 3.4618 5.93266 4.0924 6.15957 4.69933C6.24974 4.93876 6.26926 5.19898 6.2158 5.44915C6.16235 5.69932 6.03816 5.92895 5.85796 6.11083L5.00676 6.9604C5.96088 8.63517 7.35021 10.0218 9.02818 10.9741L9.87938 10.1246C10.0616 9.94471 10.2917 9.82076 10.5423 9.76741C10.793 9.71405 11.0537 9.73353 11.2936 9.82353C11.9017 10.05 12.5335 10.2071 13.177 10.2918C13.5025 10.3376 13.7999 10.5013 14.0124 10.7517C14.225 11.0021 14.3379 11.3217 14.3298 11.6498Z"
                                            stroke="white" stroke-width="1.5" stroke-linecap="round"
                                            stroke-linejoin="round" />
                                    </svg>
                                </span><a href="tel:<?php echo esc_attr( $header_top_phone ); ?>"> <?php echo esc_html( $header_top_phone ); ?></a>
                            </li>
                            <?php endif; ?>
                            <?php  if ( !empty( $header_email ) ): ?>
                            <li class="ml-30">
                                <svg width="19" height="16" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M2.7 1H16.3C17.235 1 18 1.7875 18 2.75V13.25C18 14.2125 17.235 15 16.3 15H2.7C1.765 15 1 14.2125 1 13.25V2.75C1 1.7875 1.765 1 2.7 1Z"
                                        stroke="white" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path d="M18 2.75L9.5 8.875L1 2.75" stroke="white" stroke-width="1.5"
                                        stroke-linecap="round" stroke-linejoin="round" />
                                </svg>
                                <a href="maito:<?php echo esc_attr($header_email_url)?>"> <?php echo esc_html( $header_email );?></a>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-xxl-4 col-xl-4 col-lg-4">
                <?php  if ( !empty( $header_top_charity_text ) ): ?>
                    <div class="rr-header-3-text">
                        <p><?php echo esc_html($header_top_charity_text);?></p>
                    </div>
                    <?php endif; ?>
                </div>
                <div class="col-xxl-4 col-xl-4 col-lg-4">
                    <div class="rr-header-3-top-info d-flex align-items-center justify-content-end text-end">
                    <?php  if ( !empty( $header_lang_switch ) ): ?>
                        <div class="rr-header-3-lang rr-header-3-lang-main d-none d-md-block ml-60">
                            <select>
                                <option>English</option>
                                <option>Bangla</option>
                                <option>French</option>
                            </select>
                            <div class="nice-select" tabindex="0"><span class="current">English</span>
                                <ul class="list z-index-9">
                                    <li data-value="English" class="option selected focus">English</li>
                                    <li data-value="Bangla" class="option">Bangla</li>
                                    <li data-value="French" class="option">French</li>
                                </ul>
                            </div>
                        </div>
                    <?php endif; ?>
                        <div class="rr-header-3-main-social d-flex align-items-center">
                            <div class="rr-header-3-social ml-20">
                            <?php brulloft_header_social_main_profiles(); ?>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- header top area end -->
<?php endif; ?>
<!-- main header area end -->
<header class="rr-header-3-height">
    <!-- header area start -->
    <div id="header-sticky" class="rr-header-2-area rr-header-3-border">
        <div class="container p-relative">
            <div class="row align-items-center">
                <div class="col-xl-2 col-lg-5 col-md-5 col-5">
                    <div class="rr-header-logo">
                        <?php brulloft_header_logo(); ?>
                    </div>
                </div>
                <div class="col-xl-7 col-lg-1 col-md-1 col-1">
                    <div class="rr-header-main-menu rr-header-3-main-menu ml-30  d-none d-xl-block">
                        <nav class="rr-main-menu-content rr-header-3-before-main">
                            <?php brulloft_header_menu(); ?>
                        </nav>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-6 col-md-6 col-6">
                    <div class="rr-header-right d-flex align-items-center justify-content-end">
                    <?php if(!empty($header_sing_switch)) : ?>
                        <div class="rr-header-3-icon">
                            <a href="<?php echo esc_url( $header_sing_link ); ?>">
                                <svg width="18" height="20" viewBox="0 0 18 20" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M17 19V17C17 15.9391 16.5786 14.9217 15.8284 14.1716C15.0783 13.4214 14.0609 13 13 13H5C3.93913 13 2.92172 13.4214 2.17157 14.1716C1.42143 14.9217 1 15.9391 1 17V19"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path
                                        d="M9 9C11.2091 9 13 7.20914 13 5C13 2.79086 11.2091 1 9 1C6.79086 1 5 2.79086 5 5C5 7.20914 6.79086 9 9 9Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                            </a>
                        </div>
                    <?php endif; ?>
                        <?php if(!empty($header_wishlist_switch)) : ?>
                        <div class="rr-header-3-icon">
                            <a href="<?php echo esc_url( $header_wishlist_link ); ?>">
                                <span>0</span>
                                <svg width="22" height="20" viewBox="0 0 22 20" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M19.4578 2.59133C18.9691 2.08683 18.3889 1.68663 17.7503 1.41358C17.1117 1.14054 16.4272 1 15.7359 1C15.0446 1 14.3601 1.14054 13.7215 1.41358C13.0829 1.68663 12.5026 2.08683 12.0139 2.59133L10.9997 3.63785L9.98554 2.59133C8.99842 1.57276 7.6596 1.00053 6.26361 1.00053C4.86761 1.00053 3.52879 1.57276 2.54168 2.59133C1.55456 3.6099 1 4.99139 1 6.43187C1 7.87235 1.55456 9.25383 2.54168 10.2724L3.55588 11.3189L10.9997 19L18.4436 11.3189L19.4578 10.2724C19.9467 9.76814 20.3346 9.16942 20.5992 8.51045C20.8638 7.85148 21 7.14517 21 6.43187C21 5.71857 20.8638 5.01225 20.5992 4.35328C20.3346 3.69431 19.9467 3.09559 19.4578 2.59133Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php if(!empty($header_card_switch)) : ?>
                        <div class="rr-header-3-icon">
                            <a href="<?php echo esc_url( $header_cart_link ); ?>">
                                <span><?php echo esc_html(WC()->cart->cart_contents_count); ?></span>
                                <svg width="20" height="20" viewBox="0 0 20 20" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M7.54572 18.9999C7.99759 18.9999 8.3639 18.6162 8.3639 18.1428C8.3639 17.6694 7.99759 17.2856 7.54572 17.2856C7.09385 17.2856 6.72754 17.6694 6.72754 18.1428C6.72754 18.6162 7.09385 18.9999 7.54572 18.9999Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path
                                        d="M16.5447 18.9999C16.9966 18.9999 17.3629 18.6162 17.3629 18.1428C17.3629 17.6694 16.9966 17.2856 16.5447 17.2856C16.0929 17.2856 15.7266 17.6694 15.7266 18.1428C15.7266 18.6162 16.0929 18.9999 16.5447 18.9999Z"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                    <path
                                        d="M1 1H4.27273L6.46545 12.4771C6.54027 12.8718 6.7452 13.2263 7.04436 13.4785C7.34351 13.7308 7.71784 13.8649 8.10182 13.8571H16.0545C16.4385 13.8649 16.8129 13.7308 17.112 13.4785C17.4112 13.2263 17.6161 12.8718 17.6909 12.4771L19 5.28571H5.09091"
                                        stroke="#051145" stroke-width="1.5" stroke-linecap="round"
                                        stroke-linejoin="round" />
                                </svg>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php  if ( !empty( $header_top_button_switch ) and !empty( $header_top_button_text ) ): ?>
                        <div class="rr-header-contat d-none d-md-block ml-30">
                            <a class="rr-btn-solid" href="<?php echo esc_url( $header_top_button_link ); ?>"><?php echo esc_html( $header_top_button_text ); ?><span> <svg width="27" height="24"
                                        viewBox="0 0 27 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path
                                            d="M25.3152 18.0662C27.9243 14.3639 27.5255 9.29168 23.9618 5.98763C22.3335 4.47803 20.2577 3.53824 18.0154 3.27579C18.0015 3.2584 17.9872 3.24117 17.9715 3.22469C16.0208 1.17536 13.2183 0 10.2826 0C4.69594 0 0 4.20976 0 9.6C0 11.4899 0.580447 13.3015 1.68307 14.8662L0.142752 19.7572C0.0459316 20.0646 0.14117 20.4006 0.384223 20.6095C0.627697 20.8188 0.971156 20.859 1.25492 20.7131L5.93916 18.3042C6.90114 18.7231 7.92123 18.998 8.9776 19.123C11.0154 21.2903 13.833 22.4 16.7157 22.4C18.2142 22.4 19.7073 22.0911 21.0589 21.5041L25.7434 23.9131C25.8568 23.9715 25.9796 24 26.1017 24C26.6355 24 27.0182 23.4739 26.8556 22.9572L25.3152 18.0662ZM6.25841 16.6945C6.03687 16.5881 5.77916 16.5916 5.56058 16.704L2.22423 18.4197L3.31372 14.9602C3.39303 14.7083 3.34426 14.4331 3.18331 14.2249C2.13569 12.8686 1.58193 11.2694 1.58193 9.6C1.58193 5.1888 5.48501 1.6 10.2826 1.6C12.2145 1.6 14.0744 2.19195 15.5831 3.25792C10.5023 3.77461 6.43317 7.78816 6.43317 12.8C6.43317 14.3588 6.82826 15.8595 7.57313 17.2041C7.12214 17.0682 6.68292 16.8983 6.25841 16.6945ZM21.4377 19.9039C21.2223 19.7932 20.9644 19.7865 20.7399 19.8945C19.5067 20.4869 18.1152 20.8 16.7157 20.8C11.9182 20.8 8.0151 17.2112 8.0151 12.8C8.0151 8.3888 11.9182 4.8 16.7157 4.8C21.5133 4.8 25.4164 8.3888 25.4164 12.8C25.4164 14.4694 24.8626 16.0686 23.8149 17.4248C23.6541 17.6331 23.6053 17.9083 23.6845 18.1602L24.774 21.6197L21.4377 19.9039Z"
                                            fill="white" />
                                        <path
                                            d="M13.499 13.6C13.9359 13.6 14.29 13.2418 14.29 12.8C14.29 12.3582 13.9359 12 13.499 12C13.0622 12 12.708 12.3582 12.708 12.8C12.708 13.2418 13.0622 13.6 13.499 13.6Z"
                                            fill="white" />
                                        <path
                                            d="M16.6621 13.6C17.099 13.6 17.4531 13.2418 17.4531 12.8C17.4531 12.3582 17.099 12 16.6621 12C16.2252 12 15.8711 12.3582 15.8711 12.8C15.8711 13.2418 16.2252 13.6 16.6621 13.6Z"
                                            fill="white" />
                                        <path
                                            d="M19.8271 13.6C20.264 13.6 20.6182 13.2418 20.6182 12.8C20.6182 12.3582 20.264 12 19.8271 12C19.3903 12 19.0361 12.3582 19.0361 12.8C19.0361 13.2418 19.3903 13.6 19.8271 13.6Z"
                                            fill="white" />
                                    </svg>
                                </span></a>
                        </div>
                        <?php endif; ?>
                        <div class="rr-header-bar d-xl-none">
                            <button class="rr-menu-bar"><i class="fa-solid fa-bars"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- header area end -->

</header>
<!-- main header area end -->

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>