<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package brulloft
   */

    $header_side_logo = get_theme_mod( 'header_side_logo', get_template_directory_uri() . '/assets/img/logo/logo-white.png' );

    // Contacts Text 
    $header_side_contacts_text = get_theme_mod( 'header_side_contacts_text', __( 'CONTACT US', 'brulloft' ) );

    // Contacts Text 
    $header_side_contacts_text = get_theme_mod( 'header_side_contacts_text', __( 'CONTACT US', 'brulloft' ) );
   // Email id 
   $header_top_email = get_theme_mod( 'header_email', __( 'brulloft@support.com', 'brulloft' ) );

   // Phone Number
   $header_top_phone = get_theme_mod( 'header_phone', __( '8801310-069824', 'brulloft' ) );

   // Header Address Text
   $header_top_address_text = get_theme_mod( 'header_address', __( '734 H, Bryan Burlington, NC 27215', 'brulloft' ) );

   // Header Address Link
   $header_top_address_link = get_theme_mod( 'header_address_link', __( 'https://www.google.com/maps/@36.0758266,-79.4558848,17z', 'brulloft' ) );


   //Offcanvas About Us
   $offcanvas_about_us = get_theme_mod( 'header_top_offcanvas_textarea', __( 'Web designing in a powerful way of just not an only professions. We have tendency to believe the idea that smart looking .', 'brulloft' ) );

    // footer area links  switch
    $header_side_info_switch = get_theme_mod( 'header_side_info_switch', false );

?>
<!-- rr-offcanvus-area-start -->
<div class="rroffcanvas-area">
    <div class="rroffcanvas">
        <div class="rroffcanvas__close-btn">
            <button class="close-btn"><i class="fal fa-times"></i></button>
        </div>
        <div class="rroffcanvas__logo">
            <a href="<?php print esc_url( home_url( '/' ) );?>">
                <img src="<?php echo esc_url( $header_side_logo ); ?>"
                    alt="<?php print esc_attr__( 'logo', 'brulloft' );?>">
            </a>
        </div>
        <div class="rr-main-menu-mobile d-xl-none"></div>
        <div class="rroffcanvas__contact-info">
            <div class="rroffcanvas__contact-title">
            <?php  if ( !empty( $header_side_contacts_text ) ): ?>
                <h4 class="offcanvas__title"><?php echo esc_html( $header_side_contacts_text ); ?></h4>
                <?php endif; ?>
            </div>
            <ul>
            <?php  if ( !empty( $header_top_address_text ) ): ?>
                <li>
                    <i class="fa-light fa-location-dot"></i>
                    <a href="<?php echo esc_url( $header_top_address_link ); ?>"><?php echo esc_html( $header_top_address_text ); ?></a>
                </li>
            <?php endif; ?>
                <?php  if ( !empty( $header_top_email ) ): ?>
                <li>
                    <i class="fas fa-envelope"></i>
                    <a
                            href="mailto:<?php echo esc_attr( $header_top_email ); ?>"><?php echo esc_html( $header_top_email ); ?></a>
                </li>
                <?php endif; ?>
                <?php  if ( !empty(  $header_top_phone ) ): ?>
                <li>
                    <i class="fal fa-phone-alt"></i>
                    <a
                            href="tel:<?php echo esc_attr( $header_top_phone ); ?>"><?php echo esc_html( $header_top_phone ); ?></a>
                </li>
                <?php endif; ?>
            </ul>
        </div>
        <div class="rroffcanvas__social">
            <div class="social-icon">
            <?php brulloft_header_side_info_social_profiles(); ?>
            </div>
        </div>
    </div>
</div>
<div class="body-overlay"></div>
<!-- rr-offcanvus-area-end -->